Ticket #12197 (closed defect: fixed)

Opened 18 months ago

Last modified 14 months ago

xo-4 page faults and silent hangs on boot. mwifiex?

Reported by: pgf Owned by: shep
Priority: normal Milestone: 13.1.0
Component: wireless Version: Development build as of this date
Keywords: Cc: wad@…
Action Needed: no action Verified: no
Deployments affected: Blocked By:
Blocking:

Description

i've seen this failure multiple times, using os6. still trying to reliably reproduce. it always occurs just after mwifiex has initialized. for that reason, and because no one with an 8686 card has seen this, i'm assigning the ticket to 'wireless'.

the next lines in a normal boot are:

[   10.258770] systemd-udevd[227]: renamed network interface mlan0 to eth0
[   10.560845] ieee80211 phy0: uap0: changing to 2 not supported
[   10.630906] ieee80211 phy0: uap0: changing to 2 not supported
[   10.631037] ieee80211 phy0: uap0: changing to 2 not supported
[   10.658287] ieee80211 phy0: uap0: changing to 2 not supported

here's a log of the failure:

CForth built 2012-10-10 19:25 from commit 48611f45...
Matrix mode on
releasing
USB devices:
/usb@d4208000/hub@0,0
OLPC 4B1, 1063 MHz, 1 GiB memory, 8 GB internal storage, S/N SHC23800029
OpenFirmware  Q7B03   EC Firmware 0.2.02   2012-10-15 18:10:55 UTC

Type the Esc key to interrupt automatic startup
Boot device: /sd/sdhci@d4281000/disk:\boot\olpc.fth  Arguments:
Boot device: /sd/sdhci@d4281000/disk:\boot\vmlinuz  Arguments:
Loading ramdisk image from /sd/sdhci@d4281000/disk:\boot\initrd.img ...
Uncompressing Linux... done, booting the kernel.
[    0.000000] Booting Linux on physical CPU 0
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 3.5.4_xo4-20121012.1410.olpc.858059d (mockbuild@koji3.laptop.org) (gcc version 4.7.2 20120921 (Red Hat 4.7.2-2) (GCC) ) #1 PREEMPT Fri Oct 12 14:22:41 EDT 2012
[    0.000000] CPU: ARMv7 Processor [562f5842] revision 2 (ARMv7), cr=10c5387d
[    0.000000] CPU: PIPT / VIPT nonaliasing data cache, PIPT instruction cache
[    0.000000] Machine: Marvell MMP2 (Device Tree Support), model: 4B1
[    0.000000] cma: CMA: reserved 64 MiB at 28000000
[    0.000000] Memory policy: ECC disabled, Data cache writeback
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 258064
[    0.000000] Kernel command line: console=ttyS2,115200 console=tty0 selinux=0 fbcon=font:SUN12x22
[    0.000000] PID hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Memory: 1016MB = 1016MB total
[    0.000000] Memory: 952064k/952064k available, 88320k reserved, 262144K highmem
[    0.000000] Virtual kernel memory layout:
[    0.000000]     vector  : 0xffff0000 - 0xffff1000   (   4 kB)
[    0.000000]     fixmap  : 0xfff00000 - 0xfffe0000   ( 896 kB)
[    0.000000]     vmalloc : 0xf0000000 - 0xff000000   ( 240 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xef800000   ( 760 MB)
[    0.000000]     pkmap   : 0xbfe00000 - 0xc0000000   (   2 MB)
[    0.000000]     modules : 0xbf000000 - 0xbfe00000   (  14 MB)
[    0.000000]       .text : 0xc0008000 - 0xc05a9434   (5766 kB)
[    0.000000]       .init : 0xc05aa000 - 0xc05e415c   ( 233 kB)
[    0.000000]       .data : 0xc05e6000 - 0xc0622518   ( 242 kB)
[    0.000000]        .bss : 0xc062253c - 0xc06bd30c   ( 620 kB)
[    0.000000] NR_IRQS:16 nr_irqs:16 16
[    0.000000] matched_mmp3_of_clk_apmu_setup
[    0.000000] matched_mmp3_of_clk_apbc_setup
[    0.000000] sched_clock: 32 bits at 6MHz, resolution 153ns, wraps every 660764ms
[    0.000000] Console: colour dummy device 80x30
[    0.000000] console [tty0] enabled
[    0.000037] Calibrating delay loop... 1059.22 BogoMIPS (lpj=5296128)
[    0.040093] pid_max: default: 32768 minimum: 301
[    0.040154] Mount-cache hash table entries: 512
[    0.040494] CPU: Testing write buffer coherency: ok
[    0.044181] ftrace: allocating 15613 entries in 46 pages
[    0.072675] Setting up static identity map for 0x40d588 - 0x40d5e0
[    0.074590] devtmpfs: initialized
[    0.082540] NET: Registered protocol family 16
[    0.092582] DMA: preallocated 256 KiB pool for atomic coherent allocations
[    0.095835] L310 cache controller enabled
[    0.095835] l2x0: 8 ways, CACHE_ID 0x880000ed, AUX_CTRL 0x02860000, Cache size: 524288 B
[    0.095865] Wow!  Can't register IRQ for DMA
[    0.095900] Dual MC enabled, config 0x20
[    0.095923] mmp-sram d1030000.asram: initialized
[    0.101286] OLPC board revision 4B1 (EC api 4)
[    0.103969] bio: create slab <bio-0> at 0
[    0.104619] SCSI subsystem initialized
[    0.104619] usbcore: registered new interface driver usbfs
[    0.104805] usbcore: registered new interface driver hub
[    0.104876] usbcore: registered new device driver usb
[    0.105514] i2c-gpio camera-i2c.0: using pins 166 (SDA) and 165 (SCL)
[    0.105945] i2c-gpio dcon-i2c.1: using pins 167 (SDA) and 168 (SCL)
[    0.106526] I2C: i2c-2: PXA I2C adapter
[    0.106967] I2C: i2c-3: PXA I2C adapter
[    0.107403] I2C: i2c-5: PXA I2C adapter
[    0.107912] I2C: i2c-4: PXA I2C adapter
[    0.107912] Linux video capture interface: v2.00
[    0.108017] Advanced Linux Sound Architecture Driver Version 1.0.25.
[    0.108798] cfg80211: Calling CRDA to update world regulatory domain
[    0.109030] Switching to clocksource clocksource
[    0.124119] NET: Registered protocol family 2
[    0.124377] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.124852] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.124852] TCP bind hash table entries: 65536 (order: 6, 262144 bytes)
[    0.126465] TCP: Hash tables configured (established 131072 bind 65536)
[    0.126465] TCP: reno registered
[    0.126490] UDP hash table entries: 512 (order: 1, 8192 bytes)
[    0.126510] UDP-Lite hash table entries: 512 (order: 1, 8192 bytes)
[    0.126545] NET: Registered protocol family 1
[    0.126725] Trying to unpack rootfs image as initramfs...
[    0.167117] Freeing initrd memory: 6660K
[    0.170401] highmem bounce pool size: 64 pages
[    0.170678] VFS: Disk quotas dquot_6.5.2
[    0.170746] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.171253] msgmni has been set to 1488
[    0.171960] io scheduler noop registered
[    0.172004] io scheduler deadline registered
[    0.172004] io scheduler cfq registered (default)
[    0.189317] Console: switching to colour frame buffer device 100x40
[    0.198404] mmp-tdma c0ffd800.adma: initialized
[    0.198651] pxa2xx-uart.1: ttyS2 at MMIO 0xd4017000 (irq = 28) is a UART3
[    0.647138] console [ttyS2] enabled
[    0.655012] brd: module loaded
[    0.675351] lis3lv02d: 8 bits 3DC sensor found
[    0.769193] input: ST LIS3LV02DL Accelerometer as /devices/platform/lis3lv02d/input/input0
[    0.782069] OLPC XO-1.75 Embedded Controller driver probed
[    0.791895] input: Power Button as /devices/d4037000.ec-spi/input/input1
[    0.819472] input: OLPC OLS notify as /devices/ols.4/input/input2
[    0.829994] OLPC Outdoor Light Sensor driver probed
[    0.839345] OLPC XO-1.75 lid and ebook switches
[    0.839438] input: OLPC lid switch as /devices/virtual/input/input3
[    0.859583] input: OLPC ebook switch as /devices/virtual/input/input4
[    0.871209] usbcore: registered new interface driver ipheth
[    0.881544] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    0.892913] pxau2o-ehci d4208000.usb: pxa9xx ehci
[    0.902353] pxau2o-ehci d4208000.usb: new USB bus registered, assigned bus number 1
[    0.917791] pxau2o-ehci d4208000.usb: irq 44, io mem 0xd4208000
[    0.939215] pxau2o-ehci d4208000.usb: USB 2.0 started, EHCI 1.00
[    0.949944] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    0.961249] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.972965] usb usb1: Product: pxa9xx ehci
[    0.981552] usb usb1: Manufacturer: Linux 3.5.4_xo4-20121012.1410.olpc.858059d ehci_hcd
[    0.994146] usb usb1: SerialNumber: d4208000.usb
[    1.003840] hub 1-0:1.0: USB hub found
[    1.012086] hub 1-0:1.0: 1 port detected
[    1.020556] mmp3_usb_phy_init_internal: Init usb phy!!!
[    1.031684] Initializing USB Mass Storage driver...
[    1.041023] usbcore: registered new interface driver usb-storage
[    1.051741] USB Mass Storage support registered.
[    1.060923] usbcore: registered new interface driver libusual
[    1.071169] usbcore: registered new interface driver mdc800
[    1.081254] mdc800: v0.7.5 (30/10/2000):USB Driver for Mustek MDC800 Digital Camera
[    1.093512] usbcore: registered new interface driver usbserial
[    1.104224] usbcore: registered new interface driver usbserial_generic
[    1.115356] USB Serial support registered for generic
[    1.125113] usbserial: USB Serial Driver core
[    1.134365] OLPC SP keyboard/touchpad driver probed
[    1.144633] sa1100-rtc d4010000.wakeup-rtc: rtc core: registered d4010000.wakeup-rtc as rtc0
[    1.158400] rtc_idt1338 3-0068: rtc core: registered rtc_idt1338 as rtc1
[    1.267597] input: AT Translated Set 2 keyboard as /devices/d4290000.ap-sp/serio0/input/input5
[    1.339188] usb 1-1: new high-speed USB device number 2 using pxau2o-ehci
[    1.454925] mmp3_thermal: setting thermal watchdog to 100.5C
[    1.495264] sdhci: Secure Digital Host Controller Interface driver
[    1.506410] sdhci: Copyright(c) Pierre Ossman
[    1.515576] mmc0: FIXME: setting broken card detection quirk, remove this hack once the 'broken-cd' DT property is in-place.
[    1.537843] usb 1-1: New USB device found, idVendor=05e3, idProduct=0608
[    1.550471] usb 1-1: New USB device strings: Mfr=0, Product=1, SerialNumber=0
[    1.562616] usb 1-1: Product: USB2.0 Hub
[    1.571518] mmc0: SDHCI controller on d4280800.sdhci [d4280800.sdhci] using ADMA
[    1.584317] mmc1: FIXME: setting broken card detection quirk, remove this hack once the 'broken-cd' DT property is in-place.
[    1.605958] hub 1-1:1.0: USB hub found
[    1.616300] hub 1-1:1.0: 4 ports detected
[    1.649210] mmc1: SDHCI controller on d4281000.sdhci [d4281000.sdhci] using ADMA
[    1.661887] mmc2: FIXME: setting broken card detection quirk, remove this hack once the 'broken-cd' DT property is in-place.
[    1.689291] mmc0: new high speed SDIO card at address 0001
[    1.719197] mmc2: SDHCI controller on d4280000.sdhci [d4280000.sdhci] using ADMA
[    1.733165] mmc3: FIXME: setting broken card detection quirk, remove this hack once the 'broken-cd' DT property is in-place.
[    1.789216] mmc3: SDHCI controller on d4217000.sdhci [d4217000.sdhci] using ADMA
[    1.802498] sdhci-pltfm: SDHCI platform and OF driver helper
[    1.814250] usbcore: registered new interface driver usbhid
[    1.825516] usbhid: USB HID core driver
[    1.834996] olpc-dcon:  Discovered DCON version 2
[    1.850258] i2c-core: driver [olpc_dcon] using legacy suspend method
[    1.862485] i2c-core: driver [olpc_dcon] using legacy resume method
[    1.875299] usbcore: registered new interface driver snd-usb-audio
[    1.887477] rt5631_i2c_probe
[    1.896327] mmp_pcm_probe
[    1.904661] mmc1: new high speed DDR MMC card at address 0001
[    1.916555] rt5631_probe
[    1.924861] rt5631 2-001a: Failed to create debugfs directory
[    1.936107] mmcblk0: mmc1:0001 SEM08G 7.39 GiB
[    1.946095] RT RESET
[    1.953463] mmcblk0boot0: mmc1:0001 SEM08G partition 1 2.00 MiB
[    1.964770] mmcblk0boot1: mmc1:0001 SEM08G partition 2 2.00 MiB
[    1.976914]  mmcblk0: p1 p2
[    1.988161]  mmcblk0boot1: unknown partition table
[    1.998912]  mmcblk0boot0: unknown partition table
[    2.059628] rt5631 2-001a: Failed to add Speaker Playback Switch: -16
[    2.179786] asoc: rt5631-hifi <-> c0ffdc00.audio mapping ok
[    2.192438] input: OLPC XO-1.75 Headphone Jack as /devices/audio-complex.3/sound/card0/input6
[    2.206317] input: OLPC XO-1.75 Mic Jack as /devices/audio-complex.3/sound/card0/input7
[    2.219724] TCP: bic registered
[    2.228089] Initializing XFRM netlink socket
[    2.237173] NET: Registered protocol family 10
[    2.246316] NET: Registered protocol family 17
[    2.256050] lib80211: common routines for IEEE802.11 drivers
[    2.266440] Key type dns_resolver registered
[    2.275350] VFP support v0.3: implementor 56 architecture 2 part 20 variant 9 rev 6
[    2.288759] ThumbEE CPU extension supported.
[    2.297576] Registering SWP/SWPB emulation handler
[    2.306972] PJ4 iWMMXt coprocessor enabled.
[    2.316552] mmp3_suspend_init
[    2.326840] rtc_idt1338 3-0068: setting system clock to 2012-10-15 18:11:03 UTC (1350324663)
[    2.342896] ALSA device list:
[    2.350126]   #0: OLPC XO-1.75
[    2.357411] Freeing init memory: 232K
[    2.392757] tmpfs: No value for mount option 'strictatime'
[    2.414335] tmpfs: No value for mount option 'strictatime'
[    2.435953] tmpfs: No value for mount option 'strictatime'
[    2.485003] dracut: dracut-18 (Spherical Cow) dracut-023-39.git20120910.fc18.dsd1
[    2.530103] systemd-udevd[72]: starting version 194
[    3.701497] EXT4-fs (mmcblk0p2): mounted filesystem with ordered data mode. Opts: (null)
[    3.729337] dracut Warning: Option 'rd_NO_FSTAB' is deprecated, use 'rd.fstab=0' instead.
[    3.751499] dracut: Remounting /dev/disk/mmc/mmc1p2 with -o
[    3.762730] EXT4-fs (mmcblk0p2): re-mounted. Opts: (null)
[    3.787297] dracut: Mounted root filesystem /dev/disk/mmc/mmc1p2
[    3.807519] EXT4-fs (mmcblk0p2): re-mounted. Opts: (null)
[    3.825406] EXT4-fs (mmcblk0p1): warning: mounting unchecked fs, running e2fsck is recommended
[    3.840103] EXT4-fs (mmcblk0p1): mounted filesystem without journal. Opts: (null)
[    3.868143] Dsize 15515648 Psize 15376384 Pstart 139264 Pend 15515648
[    4.322862] dcon_freeze_store: 0
[    4.326396] dcon_source_switch to CPU
[    4.352540] olpc-dcon: The CPU has control
[    4.440583] dracut: Switching root
[    4.568269] systemd[1]: systemd 194 running in system mode. (+PAM +LIBWRAP +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ; fedora)
[    4.585275] systemd[1]: Set hostname to <xo-92-e6-31.localdomain>.
[    4.751545] systemd[1]: Started Replay Read-Ahead Data.
[    4.756812] systemd[1]: Expecting device dev-ttyS2.device...
[    4.762636] systemd[1]: Starting Forward Password Requests to Wall Directory Watch.
[    4.770510] systemd[1]: Started Forward Password Requests to Wall Directory Watch.
[    4.778127] systemd[1]: Starting Syslog Socket.
[    4.782779] systemd[1]: Listening on Syslog Socket.
[    4.787786] systemd[1]: Starting Remote File Systems.
[    4.792996] systemd[1]: Reached target Remote File Systems.
[    4.798586] systemd[1]: Starting Delayed Shutdown Socket.
[    4.804020] systemd[1]: Listening on Delayed Shutdown Socket.
[    4.809939] systemd[1]: Starting /dev/initctl Compatibility Named Pipe.
[    4.816549] systemd[1]: Listening on /dev/initctl Compatibility Named Pipe.
[    4.823697] systemd[1]: Starting Dispatch Password Requests to Console Directory Watch.
[    4.831839] systemd[1]: Started Dispatch Password Requests to Console Directory Watch.
[    4.840657] systemd[1]: Starting Encrypted Volumes.
[    4.845681] systemd[1]: Reached target Encrypted Volumes.
[    4.851409] systemd[1]: Starting udev Kernel Socket.
[    4.856534] systemd[1]: Listening on udev Kernel Socket.
[    4.861872] systemd[1]: Starting udev Control Socket.
[    4.867332] systemd[1]: Listening on udev Control Socket.
[    4.872763] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[    4.882346] systemd[1]: Starting Swap.
[    4.887285] systemd[1]: Reached target Swap.
[    4.893660] systemd[1]: Starting Journal Socket.
[    4.898387] systemd[1]: Listening on Journal Socket.
[    4.903568] systemd[1]: Starting Syslog.
[    4.907488] systemd[1]: Reached target Syslog.
[    4.912143] systemd[1]: Starting Setup Virtual Console...
[    4.929098] systemd[1]: Started Load Kernel Modules.
[    4.934435] systemd[1]: Mounted Huge Pages File System.
[    4.949792] systemd[1]: Starting Apply Kernel Variables...
[    4.963032] systemd[1]: Mounting POSIX Message Queue File System...
[    4.987331] systemd[1]: Starting udev Coldplug all Devices...
[    5.009511] systemd[1]: Starting Journal Service...
[    5.017197] systemd[1]: Started Journal Service.
[    5.150223] systemd[1]: Mounted Configuration File System.
[    5.155705] systemd[1]: Mounting Debug File System...
[    5.180370] systemd[1]: Started Set Up Additional Binary Formats.
[    5.186515] systemd[1]: Mounted FUSE Control File System.
[    5.209262] systemd[1]: Starting udev Kernel Device Manager...
[    5.217448] systemd[1]: Started File System Check on Root Device.
[    5.236328] systemd[1]: Started Import network configuration from initramfs.
[    5.250243] systemd-udevd[222]: starting version 194
[    5.260443] systemd[1]: Starting Remount Root and Kernel File Systems...
[    5.288366] systemd[1]: Starting Configure read-only root support...
[    5.312992] systemd[1]: Started udev Kernel Device Manager.
[    5.320798] systemd[1]: Started Apply Kernel Variables.
[    5.327345] systemd[1]: Mounted POSIX Message Queue File System.
[    5.352729] systemd[1]: Mounted Debug File System.
[    5.526675] EXT4-fs (mmcblk0p2): re-mounted. Opts: (null)
[    6.425974] systemd-journald[215]: Received SIGUSR1
[    6.434530] ov7670 0-0021: chip found @ 0x42 (i2c-gpio-1)
[    6.620861] zforce: running in multitouch mode
[    6.620902] input: zForce touchscreen as /devices/d4033000.i2c/i2c-5/5-0050/input/input8
[    6.639864] usbcore: registered new interface driver sisusb
[    6.652035] got GPIOs power=150 reset=102
[    6.652035] calling clk_mmp_enable_ccic
[    6.702089] usbcore: registered new interface driver udlfb
[    6.845180] zforce: found zForce firmware 0.0.0.4
[    6.872554] usbcore: deregistering interface driver udlfb
[    6.904829] psmouse serio1: sentelic: Finger Sensing Pad, hw: 13.2.6, sn: 0, sw: 1.1.0-K
[    7.007163] runin-check: noop
[    7.246365] input: FSPPS/2 Sentelic FingerSensingPad as /devices/d4290000.ap-sp/serio1/input/input9
[    7.926497] dcon_freeze_store: 1
[    7.934603] dcon_source_switch to DCON
[    7.963635] olpc-dcon: The DCON has control
[    8.149716] calling clk_mmp_disable_ccic
[    8.655854] mousedev: PS/2 mouse device common for all mice
[    8.835431] calling clk_mmp_enable_ccic
[    8.945801] ip_tables: (C) 2000-2006 Netfilter Core Team
[    8.994751] input: olpc-kbdshim virtual keyboard as /devices/virtual/input/input10
[    9.043796] input: olpc-kbdshim virtual mouse as /devices/virtual/input/input11
[    9.117098] input: olpc-kbdshim virtual touchscreen as /devices/virtual/input/input12
[    9.300045] calling clk_mmp_disable_ccic
[    9.825566] mwifiex_sdio mmc0:0001:1: WLAN FW is active
[   10.183250] mwifiex_sdio mmc0:0001:1: driver_version = mwifiex 1.0 (14.66.9.p96)
[   10.267386] Unable to handle kernel paging request at virtual address ffff0001
[   10.267386] pgd = c0004000
[   10.279697] [ffff0001] *pgd=2f7dd821, *pte=2f7de1cb, *ppte=2f7de23a
[   10.287414] Internal error: Oops: 81f [#1] PREEMPT ARM
[   10.298944] Modules linked in: xt_tcpudp iptable_filter ip_tables x_tables mousedev uinput mwifiex_sdio mwifiex joydev syscopyarea psmouse sysfillrect sysimgblt fb_sys_fops mmp_camera sisusbvga videobuf2_dma_sg videobuf2_vmalloc videobuf2_memops videobuf2_core zforce ov7670 [last unloaded: udlfb]
[   10.352944] CPU: 0    Not tainted  (3.5.4_xo4-20121012.1410.olpc.858059d #1)
[   10.352944] PC is at wait_for_common+0x13c/0x1b4
[   10.365994] LR is at __schedule+0x3ac/0x458
[   10.386640] pc : [<c040c714>]    lr : [<c040c41c>]    psr: 20000093
[   10.386640] sp : ec4a9e88  ip : ec4a9e10  fp : ec4a9ebc
[   10.386640] r10: 00000001  r9 : c006b5fc  r8 : ec5b7540
[   10.420925] r7 : 00000002  r6 : ec4a8000  r5 : ffff0001  r4 : 7fffffff
[   10.420925] r3 : ddef9eff  r2 : ec4a9ed8  r1 : 00000000  r0 : 7fffffff
[   10.445653] Flags: nzCv  IRQs off  FIQs on  Mode SVC_32  ISA ARM  Segment kernel
[   10.445653] Control: 10c5387d  Table: 2c50c059  DAC: 00000015
[   10.458868] Process kworker/0:3 (pid: 237, stack limit = 0xec4a82f8)
[   10.470360] Stack: (0xec4a9e88 to 0xec4aa000)
[   10.482553] 9e80:                   c006b5fc 00000001 ec540040 c004d9f0 00100100 00200200
[   10.506964] 9ea0: ec76ee40 00000001 ec4a9ed4 00000000 ec4a9ecc ec4a9ec0 c040c7ac c040c5e4
[   10.521284] 9ec0: ec4a9f04 ec4a9ed0 c00398bc c040c798 ec012124 00000001 ec4a9ed8 ec4a9ed8
[   10.535618] 9ee0: ec5b7540 00000000 ec552000 c05f7680 c05f7828 ec5b7540 ec4a9f54 ec4a9f08
[   10.549946] 9f00: c006b730 c00397ac 00000000 00000000 00000000 c007f600 ec5b7540 ec552000
[   10.549946] 9f20: 00000000 c04d35f3 c04da4da 00000000 ffffffff ec5ef8c0 c05f7818 c05f5a94
[   10.564282] 9f40: c0eca400 00000000 ec4a9f8c ec4a9f58 c003c474 c006b608 ec5ef8c0 ec4a8000
[   10.578645] 9f60: c05f5a94 ec5ef8c0 ec4a8000 c05f5a94 ec5ef8d0 c05f5a94 00000009 c05f5a94
[   10.592980] 9f80: ec4a9fbc ec4a9f90 c003c8b8 c003c220 00000000 ec08beec ec5ef8c0 c003c6d8
[   10.621644] 9fa0: 00000013 00000000 00000000 00000000 ec4a9ff4 ec4a9fc0 c0042018 c003c6e4
[   10.636005] 9fc0: ec08beec 00000000 ec5ef8c0 00000000 ec4a9fd0 ec4a9fd0 00000000 ec08beec
[   10.650263] 9fe0: c0041f7c c000fd40 00000000 ec4a9ff8 c000fd40 c0041f88 00000000 00000000
[   10.664485] [<c040c714>] (wait_for_common+0x13c/0x1b4) from [<c040c7ac>] (wait_for_completion+0x20/0x24)
[   10.685933] [<c040c7ac>] (wait_for_completion+0x20/0x24) from [<c00398bc>] (call_usermodehelper_fns+0x11c/0x1c4)
[   10.708452] [<c00398bc>] (call_usermodehelper_fns+0x11c/0x1c4) from [<c006b730>] (cgroup_release_agent+0x134/0x1bc)
[   10.708452] [<c006b730>] (cgroup_release_agent+0x134/0x1bc) from [<c003c474>] (process_one_work+0x260/0x488)
[   10.731592] [<c003c474>] (process_one_work+0x260/0x488) from [<c003c8b8>] (worker_thread+0x1e0/0x32c)
[   10.754385] [<c003c8b8>] (worker_thread+0x1e0/0x32c) from [<c0042018>] (kthread+0x9c/0xac)
[   10.791852] [<c0042018>] (kthread+0x9c/0xac) from [<c000fd40>] (kernel_thread_exit+0x0/0x8)
[   10.791852] Code: e3540000 e5953000 03a04001 e2433001 (e5853000)
[   10.819917] ---[ end trace d71229fb89441f07 ]---
[   10.831331] note: kworker/0:3[237] exited with preempt_count 1
[   10.843838] Unable to handle kernel paging request at virtual address fffffffc
[   10.843838] pgd = c0004000
[   10.866710] [fffffffc] *pgd=2f7dd821, *pte=00000000, *ppte=00000000
[   10.866710] Internal error: Oops: 17 [#2] PREEMPT ARM
[   10.891133] Modules linked in: xt_tcpudp iptable_filter ip_tables x_tables mousedev uinput mwifiex_sdio mwifiex joydev syscopyarea psmouse sysfillrect sysimgblt fb_sys_fops mmp_camera sisusbvga videobuf2_dma_sg videobuf2_vmalloc videobuf2_memops videobuf2_core zforce ov7670 [last unloaded: udlfb]
[   10.891133] CPU: 0    Tainted: G      D       (3.5.4_xo4-20121012.1410.olpc.858059d #1)
[   10.953255] PC is at kthread_data+0x18/0x20
[   10.953255] LR is at wq_worker_sleeping+0x1c/0xa8
[   10.976189] pc : [<c00422e8>]    lr : [<c003d9ac>]    psr: 20000193
[   10.976189] sp : ec4a9c68  ip : ec4a9c78  fp : ec4a9c74
[   11.001653] r10: ec5401b8  r9 : ec54013c  r8 : ec54013c
[   11.001653] r7 : ec540040  r6 : ec4a8000  r5 : ec4a8000  r4 : 00000000
[   11.013751] r3 : 00000000  r2 : ec001700  r1 : 00000000  r0 : ec540040
[   11.027113] Flags: nzCv  IRQs off  FIQs on  Mode SVC_32  ISA ARM  Segment user
[   11.054416] Control: 10c5387d  Table: 2c50c059  DAC: 00000015
[   11.054416] Process kworker/0:3 (pid: 237, stack limit = 0xec4a82f8)
[   11.066941] Stack: (0xec4a9c68 to 0xec4aa000)
[   11.080071] 9c60:                   ec4a9c8c ec4a9c78 c003d9ac c00422dc 0420806c ec540040
[   11.106155] 9c80: ec4a9cb4 ec4a9c90 c040c13c c003d99c ec540040 ec4a8000 00000001 00000001
[   11.121173] 9ca0: ec54013c ec540038 ec4a9cc4 ec4a9cb8 c040ca98 c040c07c ec4a9d0c ec4a9cc8
[   11.121173] 9cc0: c0026468 c040ca10 ec4a9cfc ec4a9cd8 c0024040 ec540184 ec4a9cd8 ec4a9cd8
[   11.151222] 9ce0: c04d7c1e ec4a8000 ec4a82f8 ec540040 00000001 0000081f c006b5fc 00000029
[   11.166257] 9d00: ec4a9d3c ec4a9d10 c0012c5c c0025d10 ec4a82f8 0000000b 60000193 ffff0001
[   11.166257] 9d20: 0000081f 00000000 ec4a9e40 00000000 ec4a9d54 ec4a9d40 c04077fc c0012a84
[   11.181229] 9d40: ec4a9e40 0000081f ec4a9d94 ec4a9d58 c00173a0 c04077a4 6a2471c6 00000001
[   11.210928] 9d60: ec540070 00000800 ec4a9db4 0000081f c05f2cf4 ffff0001 ec4a9e40 ec5b7540
[   11.210928] 9d80: c006b5fc 00000001 ec4a9e3c ec4a9d98 c00083fc c0017160 ec4a9dcc ec4a9da8
[   11.225642] 9da0: c0048514 c0015d6c ffffffff ffffffff ec3f8000 c00487cc ffffffff 00000000
[   11.240246] 9dc0: ec4a9df4 ec4a9dd0 c00487cc c007f600 00000000 c05f6960 ec3f801c ec540040
[   11.254779] 9de0: ec4a8000 c040c41c ffffffff 00000000 ec49eb40 ec4a8000 ec540040 ec101680
[   11.283615] 9e00: ec4a9e34 ec4a9e10 c040c41c c004da40 7fffffff ec4a9ed4 ec4a8000 00000002
[   11.283615] 9e20: c040c714 20000093 ffffffff ec4a9e74 ec4a9ebc ec4a9e40 c000e798 c00083c4
[   11.297908] 9e40: 7fffffff 00000000 ec4a9ed8 ddef9eff 7fffffff ffff0001 ec4a8000 00000002
[   11.312106] 9e60: ec5b7540 c006b5fc 00000001 ec4a9ebc ec4a9e10 ec4a9e88 c040c41c c040c714
[   11.326253] 9e80: 20000093 ffffffff c006b5fc 00000001 ec540040 c004d9f0 00100100 00200200
[   11.340391] 9ea0: ec76ee40 00000001 ec4a9ed4 00000000 ec4a9ecc ec4a9ec0 c040c7ac c040c5e4
[   11.368640] 9ec0: ec4a9f04 ec4a9ed0 c00398bc c040c798 ec012124 00000001 ec4a9ed8 ec4a9ed8
[   11.368640] 9ee0: ec5b7540 00000000 ec552000 c05f7680 c05f7828 ec5b7540 ec4a9f54 ec4a9f08
[   11.382795] 9f00: c006b730 c00397ac 00000000 00000000 00000000 c007f600 ec5b7540 ec552000
[   11.411037] 9f20: 00000000 c04d35f3 c04da4da 00000000 ffffffff ec5ef8c0 c05f7818 c05f5a94
[   11.411037] 9f40: c0eca400 00000000 ec4a9f8c ec4a9f58 c003c474 c006b608 ec5ef8c0 ec4a8000
[   11.439296] 9f60: c05f5a94 ec5ef8c0 ec4a8000 c05f5a94 ec5ef8d0 c05f5a94 00000009 c05f5a94
[   11.439296] 9f80: ec4a9fbc ec4a9f90 c003c8b8 c003c220 00000000 ec08beec ec5ef8c0 c003c6d8
[   11.467390] 9fa0: 00000013 00000000 00000000 00000000 ec4a9ff4 ec4a9fc0 c0042018 c003c6e4
[   11.481312] 9fc0: ec08beec 00000000 ec5ef8c0 00000001 ec4a9fd0 ec4a9fd0 00000000 ec08beec
[   11.495105] 9fe0: c0041f7c c000fd40 00000000 ec4a9ff8 c000fd40 c0041f88 00000000 00000000
[   11.495105] [<c00422e8>] (kthread_data+0x18/0x20) from [<c003d9ac>] (wq_worker_sleeping+0x1c/0xa8)
[   11.508861] [<c003d9ac>] (wq_worker_sleeping+0x1c/0xa8) from [<c040c13c>] (__schedule+0xcc/0x458)
[   11.529134] [<c040c13c>] (__schedule+0xcc/0x458) from [<c040ca98>] (schedule+0x94/0x98)
[   11.543899] [<c040ca98>] (schedule+0x94/0x98) from [<c0026468>] (do_exit+0x764/0x7cc)
[   11.557898] [<c0026468>] (do_exit+0x764/0x7cc) from [<c0012c5c>] (die+0x1e4/0x214)
[   11.571787] [<c0012c5c>] (die+0x1e4/0x214) from [<c04077fc>] (__do_kernel_fault.part.8+0x64/0x84)
[   11.585485] [<c04077fc>] (__do_kernel_fault.part.8+0x64/0x84) from [<c00173a0>] (do_page_fault+0x24c/0x264)
[   11.600542] [<c00173a0>] (do_page_fault+0x24c/0x264) from [<c00083fc>] (do_DataAbort+0x44/0xa8)
[   11.622625] [<c00083fc>] (do_DataAbort+0x44/0xa8) from [<c000e798>] (__dabt_svc+0x38/0x60)
[   11.637711] Exception stack(0xec4a9e40 to 0xec4a9e88)
[   11.652340] 9e40: 7fffffff 00000000 ec4a9ed8 ddef9eff 7fffffff ffff0001 ec4a8000 00000002
[   11.663743] 9e60: ec5b7540 c006b5fc 00000001 ec4a9ebc ec4a9e10 ec4a9e88 c040c41c c040c714
[   11.693038] 9e80: 20000093 ffffffff
[   11.702964] [<c000e798>] (__dabt_svc+0x38/0x60) from [<c040c714>] (wait_for_common+0x13c/0x1b4)
[   11.702964] [<c040c714>] (wait_for_common+0x13c/0x1b4) from [<c040c7ac>] (wait_for_completion+0x20/0x24)
[   11.718257] [<c040c7ac>] (wait_for_completion+0x20/0x24) from [<c00398bc>] (call_usermodehelper_fns+0x11c/0x1c4)
[   11.740880] [<c00398bc>] (call_usermodehelper_fns+0x11c/0x1c4) from [<c006b730>] (cgroup_release_agent+0x134/0x1bc)
[   11.788904] [<c006b730>] (cgroup_release_agent+0x134/0x1bc) from [<c003c474>] (process_one_work+0x260/0x488)
[   11.812921] [<c003c474>] (process_one_work+0x260/0x488) from [<c003c8b8>] (worker_thread+0x1e0/0x32c)
[   11.812921] [<c003c8b8>] (worker_thread+0x1e0/0x32c) from [<c0042018>] (kthread+0x9c/0xac)
[   11.836638] [<c0042018>] (kthread+0x9c/0xac) from [<c000fd40>] (kernel_thread_exit+0x0/0x8)
[   11.852311] Code: e24cb004 e52de004 e8bd4000 e590314c (e5130004)
[   11.881630] ---[ end trace d71229fb89441f08 ]---
[   11.893671] Fixing recursive fault but reboot is needed!
[   11.906366] Unable to handle kernel paging request at virtual address fffffffc
[   11.921035] pgd = c0004000
[   11.931106] [fffffffc] *pgd=2f7dd821, *pte=00000000, *ppte=00000000
[   11.931106] Internal error: Oops: 17 [#3] PREEMPT ARM
[   11.957245] Modules linked in: xt_tcpudp iptable_filter ip_tables x_tables mousedev uinput mwifiex_sdio mwifiex joydev syscopyarea psmouse sysfillrect sysimgblt fb_sys_fops mmp_camera sisusbvga videobuf2_dma_sg videobuf2_vmalloc videobuf2_memops videobuf2_core zforce ov7670 [last unloaded: udlfb]
[   11.957245] CPU: 0    Tainted: G      D       (3.5.4_xo4-20121012.1410.olpc.858059d #1)
[   12.006562] PC is at kthread_data+0x18/0x20
[   12.022354] LR is at wq_worker_sleeping+0x1c/0xa8
[   12.034245] pc : [<c00422e8>]    lr : [<c003d9ac>]    psr: 20000193
[   12.034245] sp : ec4a9a48  ip : ec4a9a58  fp : ec4a9a54
[   12.072968] r10: ec5401b8  r9 : ec54013c  r8 : 00000017
[   12.072968] r7 : ec540040  r6 : ec4a8000  r5 : 0000000b  r4 : 00000000
[   12.099375] r3 : 00000000  r2 : ec001700  r1 : 00000000  r0 : ec540040
[   12.099375] Flags: nzCv  IRQs off  FIQs on  Mode SVC_32  ISA ARM  Segment user
[   12.127479] Control: 10c5387d  Table: 2c50c059  DAC: 00000015
[   12.127479] Process kworker/0:3 (pid: 237, stack limit = 0xec4a82f8)
[   12.153625] Stack: (0xec4a9a48 to 0xec4aa000)
[   12.153625] 9a40:                   ec4a9a6c ec4a9a58 c003d9ac c00422dc 0420806c ec540040
[   12.180011] 9a60: ec4a9a94 ec4a9a70 c040c13c c003d99c ec540040 0000000b ec540040 00000001
[   12.195123] 9a80: 00000017 00000028 ec4a9aa4 ec4a9a98 c040ca98 c040c07c ec4a9aec ec4a9aa8
[   12.210234] 9aa0: c0025df4 c040ca10 ec4a9adc ec4a9ab8 c0024040 c007f600 c0020aa0 c05f3d68
[   12.225303] 9ac0: c04d7c1e ec4a8000 ec4a82f8 ec540040 00000001 00000017 ec54013c 00000028
[   12.225303] 9ae0: ec4a9b1c ec4a9af0 c0012c5c c0025d10 ec4a82f8 0000000b 60000193 fffffffc
[   12.240302] 9b00: 00000017 00000000 ec4a9c20 00000000 ec4a9b34 ec4a9b20 c04077fc c0012a84
[   12.255266] 9b20: ec4a9c20 00000017 ec4a9b74 ec4a9b38 c00173a0 c04077a4 ec4a9b6c 00000000
[   12.284955] 9b40: 00000000 00000000 ec4a9b48 00000017 c05f2c74 fffffffc ec4a9c20 ec54013c
[   12.299653] 9b60: ec54013c ec5401b8 ec4a9c1c ec4a9b78 c00083fc c0017160 ec4a9b94 ec4a9b88
[   12.299653] 9b80: c0126ef4 c007f484 ec4a9bac ec4a9b98 c00eb35c c00e8c8c ec540040 00000000
[   12.328764] 9ba0: ec4a9bf4 ec4a9bb0 c00e8c8c c007f600 ec4a9c0c ec4a9bc0 c01d8cf8 c01d789c
[   12.328764] 9bc0: 00000002 ec4a9c3b ffffffff 00002cf4 c06ab8d4 e60026f0 ec4a9c48 000000ed
[   12.343203] 9be0: e6289b30 ec019990 ec4a9c14 ec4a9bf8 c00e8cd4 c0050fd8 ec4a9c48 e60026f0
[   12.357557] 9c00: c00422e8 20000193 ffffffff ec4a9c54 ec4a9c74 ec4a9c20 c000e798 c00083c4
[   12.371817] 9c20: ec540040 00000000 ec001700 00000000 00000000 ec4a8000 ec4a8000 ec540040
[   12.400134] 9c40: ec54013c ec54013c ec5401b8 ec4a9c74 ec4a9c78 ec4a9c68 c003d9ac c00422e8
[   12.400134] 9c60: 20000193 ffffffff ec4a9c8c ec4a9c78 c003d9ac c00422dc 0420806c ec540040
[   12.414239] 9c80: ec4a9cb4 ec4a9c90 c040c13c c003d99c ec540040 ec4a8000 00000001 00000001
[   12.442368] 9ca0: ec54013c ec540038 ec4a9cc4 ec4a9cb8 c040ca98 c040c07c ec4a9d0c ec4a9cc8
[   12.442368] 9cc0: c0026468 c040ca10 ec4a9cfc ec4a9cd8 c0024040 ec540184 ec4a9cd8 ec4a9cd8
[   12.456488] 9ce0: c04d7c1e ec4a8000 ec4a82f8 ec540040 00000001 0000081f c006b5fc 00000029
[   12.470548] 9d00: ec4a9d3c ec4a9d10 c0012c5c c0025d10 ec4a82f8 0000000b 60000193 ffff0001
[   12.484591] 9d20: 0000081f 00000000 ec4a9e40 00000000 ec4a9d54 ec4a9d40 c04077fc c0012a84
[   12.512703] 9d40: ec4a9e40 0000081f ec4a9d94 ec4a9d58 c00173a0 c04077a4 6a2471c6 00000001
[   12.512703] 9d60: ec540070 00000800 ec4a9db4 0000081f c05f2cf4 ffff0001 ec4a9e40 ec5b7540
[   12.526712] 9d80: c006b5fc 00000001 ec4a9e3c ec4a9d98 c00083fc c0017160 ec4a9dcc ec4a9da8
[   12.554437] 9da0: c0048514 c0015d6c ffffffff ffffffff ec3f8000 c00487cc ffffffff 00000000
[   12.554437] 9dc0: ec4a9df4 ec4a9dd0 c00487cc c007f600 00000000 c05f6960 ec3f801c ec540040
[   12.568169] 9de0: ec4a8000 c040c41c ffffffff 00000000 ec49eb40 ec4a8000 ec540040 ec101680
[   12.581859] 9e00: ec4a9e34 ec4a9e10 c040c41c c004da40 7fffffff ec4a9ed4 ec4a8000 00000002
[   12.595610] 9e20: c040c714 20000093 ffffffff ec4a9e74 ec4a9ebc ec4a9e40 c000e798 c00083c4
[   12.609359] 9e40: 7fffffff 00000000 ec4a9ed8 ddef9eff 7fffffff ffff0001 ec4a8000 00000002
[   12.623144] 9e60: ec5b7540 c006b5fc 00000001 ec4a9ebc ec4a9e10 ec4a9e88 c040c41c c040c714
[   12.650937] 9e80: 20000093 ffffffff c006b5fc 00000001 ec540040 c004d9f0 00100100 00200200
[   12.664972] 9ea0: ec76ee40 00000001 ec4a9ed4 00000000 ec4a9ecc ec4a9ec0 c040c7ac c040c5e4
[   12.664972] 9ec0: ec4a9f04 ec4a9ed0 c00398bc c040c798 ec012124 00000001 ec4a9ed8 ec4a9ed8
[   12.678998] 9ee0: ec5b7540 00000000 ec552000 c05f7680 c05f7828 ec5b7540 ec4a9f54 ec4a9f08
[   12.707040] 9f00: c006b730 c00397ac 00000000 00000000 00000000 c007f600 ec5b7540 ec552000
[   12.707040] 9f20: 00000000 c04d35f3 c04da4da 00000000 ffffffff ec5ef8c0 c05f7818 c05f5a94
[   12.721074] 9f40: c0eca400 00000000 ec4a9f8c ec4a9f58 c003c474 c006b608 ec5ef8c0 ec4a8000
[   12.749058] 9f60: c05f5a94 ec5ef8c0 ec4a8000 c05f5a94 ec5ef8d0 c05f5a94 00000009 c05f5a94
[   12.763041] 9f80: ec4a9fbc ec4a9f90 c003c8b8 c003c220 00000000 ec08beec ec5ef8c0 c003c6d8
[   12.763041] 9fa0: 00000013 00000000 00000000 00000000 ec4a9ff4 ec4a9fc0 c0042018 c003c6e4
[   12.777049] 9fc0: ec08beec 00000000 ec5ef8c0 00000001 ec4a9fd0 ec4a9fd0 00000000 ec08beec
[   12.791048] 9fe0: c0041f7c c000fd40 00000000 ec4a9ff8 c000fd40 c0041f88 00000000 00000000
[   12.805014] [<c00422e8>] (kthread_data+0x18/0x20) from [<c003d9ac>] (wq_worker_sleeping+0x1c/0xa8)
[   12.818968] [<c003d9ac>] (wq_worker_sleeping+0x1c/0xa8) from [<c040c13c>] (__schedule+0xcc/0x458)
[   12.839551] [<c040c13c>] (__schedule+0xcc/0x458) from [<c040ca98>] (schedule+0x94/0x98)
[   12.854452] [<c040ca98>] (schedule+0x94/0x98) from [<c0025df4>] (do_exit+0xf0/0x7cc)
[   12.868557] [<c0025df4>] (do_exit+0xf0/0x7cc) from [<c0012c5c>] (die+0x1e4/0x214)
[   12.882391] [<c0012c5c>] (die+0x1e4/0x214) from [<c04077fc>] (__do_kernel_fault.part.8+0x64/0x84)
[   12.910970] [<c04077fc>] (__do_kernel_fault.part.8+0x64/0x84) from [<c00173a0>] (do_page_fault+0x24c/0x264)
[   12.932998] [<c00173a0>] (do_page_fault+0x24c/0x264) from [<c00083fc>] (do_DataAbort+0x44/0xa8)
[   12.932998] [<c00083fc>] (do_DataAbort+0x44/0xa8) from [<c000e798>] (__dabt_svc+0x38/0x60)
[   12.948031] Exception stack(0xec4a9c20 to 0xec4a9c68)
[   12.974006] 9c20: ec540040 00000000 ec001700 00000000 00000000 ec4a8000 ec4a8000 ec540040
[   12.988591] 9c40: ec54013c ec54013c ec5401b8 ec4a9c74 ec4a9c78 ec4a9c68 c003d9ac c00422e8
[   13.003214] 9c60: 20000193 ffffffff
[   13.013096] [<c000e798>] (__dabt_svc+0x38/0x60) from [<c00422e8>] (kthread_data+0x18/0x20)
[   13.013096] [<c00422e8>] (kthread_data+0x18/0x20) from [<c003d9ac>] (wq_worker_sleeping+0x1c/0xa8)
[   13.027888] [<c003d9ac>] (wq_worker_sleeping+0x1c/0xa8) from [<c040c13c>] (__schedule+0xcc/0x458)
[   13.065478] [<c040c13c>] (__schedule+0xcc/0x458) from [<c040ca98>] (schedule+0x94/0x98)
[   13.065478] [<c040ca98>] (schedule+0x94/0x98) from [<c0026468>] (do_exit+0x764/0x7cc)
[   13.080272] [<c0026468>] (do_exit+0x764/0x7cc) from [<c0012c5c>] (die+0x1e4/0x214)
[   13.109217] [<c0012c5c>] (die+0x1e4/0x214) from [<c04077fc>] (__do_kernel_fault.part.8+0x64/0x84)
[   13.109217] [<c04077fc>] (__do_kernel_fault.part.8+0x64/0x84) from [<c00173a0>] (do_page_fault+0x24c/0x264)
[   13.124942] [<c00173a0>] (do_page_fault+0x24c/0x264) from [<c00083fc>] (do_DataAbort+0x44/0xa8)
[   13.148375] [<c00083fc>] (do_DataAbort+0x44/0xa8) from [<c000e798>] (__dabt_svc+0x38/0x60)
[   13.179391] Exception stack(0xec4a9e40 to 0xec4a9e88)
[   13.179391] 9e40: 7fffffff 00000000 ec4a9ed8 ddef9eff 7fffffff ffff0001 ec4a8000 00000002
[   13.206707] 9e60: ec5b7540 c006b5fc 00000001 ec4a9ebc ec4a9e10 ec4a9e88 c040c41c c040c714
[   13.221994] 9e80: 20000093 ffffffff
[   13.221994] [<c000e798>] (__dabt_svc+0x38/0x60) from [<c040c714>] (wait_for_common+0x13c/0x1b4)
[   13.232540] [<c040c714>] (wait_for_common+0x13c/0x1b4) from [<c040c7ac>] (wait_for_completion+0x20/0x24)
[   13.248435] [<c040c7ac>] (wait_for_completion+0x20/0x24) from [<c00398bc>] (call_usermodehelper_fns+0x11c/0x1c4)
[   13.272317] [<c00398bc>] (call_usermodehelper_fns+0x11c/0x1c4) from [<c006b730>] (cgroup_release_agent+0x134/0x1bc)
[   13.322742] [<c006b730>] (cgroup_release_agent+0x134/0x1bc) from [<c003c474>] (process_one_work+0x260/0x488)
[   13.322742] [<c003c474>] (process_one_work+0x260/0x488) from [<c003c8b8>] (worker_thread+0x1e0/0x32c)
[   13.348002] [<c003c8b8>] (worker_thread+0x1e0/0x32c) from [<c0042018>] (kthread+0x9c/0xac)
[   13.372676] [<c0042018>] (kthread+0x9c/0xac) from [<c000fd40>] (kernel_thread_exit+0x0/0x8)
[   13.388769] Code: e24cb004 e52de004 e8bd4000 e590314c (e5130004)
[   13.418921] ---[ end trace d71229fb89441f09 ]---
[   13.431352] Fixing recursive fault but reboot is needed!
[   13.444401] Unable to handle kernel paging request at virtual address fffffffc
[   13.459329] pgd = c0004000
[   13.469564] [fffffffc] *pgd=2f7dd821, *pte=00000000, *ppte=00000000
[   13.469564] Internal error: Oops: 17 [#4] PREEMPT ARM
[   13.495987] Modules linked in: xt_tcpudp iptable_filter ip_tables x_tables mousedev uinput mwifiex_sdio mwifiex joydev syscopyarea psmouse sysfillrect sysimgblt fb_sys_fops mmp_camera sisusbvga videobuf2_dma_sg videobuf2_vmalloc videobuf2_memops videobuf2_core zforce ov7670 [last unloaded: udlfb]
[   13.545476] CPU: 0    Tainted: G      D       (3.5.4_xo4-20121012.1410.olpc.858059d #1)
[   13.562949] PC is at kthread_data+0x18/0x20
[   13.574804] LR is at wq_worker_sleeping+0x1c/0xa8
[   13.574804] pc : [<c00422e8>]    lr : [<c003d9ac>]    psr: 20000193
[   13.574804] sp : ec4a9828  ip : ec4a9838  fp : ec4a9834
[   13.587056] r10: ec5401b8  r9 : ec54013c  r8 : 00000017
[   13.616708] r7 : ec540040  r6 : ec4a8000  r5 : 0000000b  r4 : 00000000
[   13.630880] r3 : 00000000  r2 : ec001700  r1 : 00000000  r0 : ec540040
[   13.661569] Flags: nzCv  IRQs off  FIQs on  Mode SVC_32  ISA ARM  Segment user
[   13.661569] Control: 10c5387d  Table: 2c50c059  DAC: 00000015
[   13.677533] Process kworker/0:3 (pid: 237, stack limit = 0xec4a82f8)
[   13.705213] Stack: (0xec4a9828 to 0xec4aa000)
[   13.705213] 9820:                   ec4a984c ec4a9838 c003d9ac c00422dc 0420806c ec540040
[   13.731617] 9840: ec4a9874 ec4a9850 c040c13c c003d99c ec540040 0000000b ec540040 00000001
[   13.731617] 9860: 00000017 00000028 ec4a9884 ec4a9878 c040ca98 c040c07c ec4a98cc ec4a9888
[   13.746745] 9880: c0025df4 c040ca10 ec4a98bc ec4a9898 c0024040 c007f600 c0020aa0 c05f3d68
[   13.761857] 98a0: c04d7c1e ec4a8000 ec4a82f8 ec540040 00000001 00000017 ec54013c 00000028
[   13.791941] 98c0: ec4a98fc ec4a98d0 c0012c5c c0025d10 ec4a82f8 0000000b 60000193 fffffffc
[   13.791941] 98e0: 00000017 00000000 ec4a9a00 00000000 ec4a9914 ec4a9900 c04077fc c0012a84
[   13.806915] 9900: ec4a9a00 00000017 ec4a9954 ec4a9918 c00173a0 c04077a4 c0079e84 c007bb54
[   13.821802] 9920: c001ac74 00000000 ec4a9928 00000017 c05f2c74 fffffffc ec4a9a00 00000017
[   13.836603] 9940: ec54013c ec5401b8 ec4a99fc ec4a9958 c00083fc c0017160 c00289c4 c0027fe0
[   13.851311] 9960: ec4a997c ec4a9970 00000002 0000000a ec4a9994 0000000d 00000000 c0028ebc
[   13.865948] 9980: c05f6918 0000000d 00000000 fe282104 ec4a99ac ec4a99a0 c0028ebc c007fa58
[   13.894957] 99a0: ec4a99c4 ec4a99b0 c000fc60 c0028e30 c0023150 60000113 ec4a99d4 ec4a99c8


Attachments

mwifiex_boot_pagefaults_20121118_0011.log (79.0 kB) - added by shep 17 months ago.
12197_good_boot_then_bad_boot.log (324.7 kB) - added by shep 17 months ago.
one_hundred_boots_4b1_8787_os13_console.log.gz (288.0 kB) - added by shep 17 months ago.
os19_boot_hang.log (19.5 kB) - added by chia-hsiu 16 months ago.
os19 duplicated, but not much information.
os19_boot_hang_screen.jpg (261.6 kB) - added by chia-hsiu 16 months ago.

Change History

Changed 18 months ago by dsd

  • owner changed from dsaxena to shep

Changed 17 months ago by shep

Changed 17 months ago by shep

I just attached a console log that might be similar. This is the first time I've seen this sort of failure. I wonder if it might be related to having both MWIFIEX{,_SDIO} and BT_MRVL{,_SDIO} configured at the same time (which might explain why I've not seen this before).

Changed 17 months ago by shep

  • cc wad@… added

Changed 17 months ago by shep

Yesterday I believe I saw this 3 times before doing fs-update to os13. Then I booted a couple of times without seeing this failure again.

Today I tried rebooting just to see if I could reproduce this bug. First boot, no problem. Second boot, it happened again. I will attach a serial console log that contains both of these boots, one after the other. I powered off the failed boot after about about 30 seconds of serial console continuous spewage.

Changed 17 months ago by shep

Changed 17 months ago by shep

Changed 17 months ago by shep

Summary of the one_hundred_boots_4b1_8787_os13_console.log.gz I just attached:

After removing my USB flash drive from my 4b1 laptop with os13, I used the P1 command on the EC console to turn the power on 101 times.

One power on resulted in:

CForth built 2012-11-15 22:27 from commit bbdf8572...
Matrix mode on
releasing
Data Abort
ok 

and the other 100 times it got linux booting. Of the 100 boots of linux, all got at least to the point of printing out:

          mwifiex_sdio mmc0:0001:1: WLAN FW is active

Two of those (the 51st and 64th boot) resulted in serial console spewage after that. One of them I powered off with P0 after about 30 seconds, the other stopped the spewage on its own after about 35 seconds.

Five of these (the 14th, 43rd, 59th, 74th, and 90th boot) resulted in a complete wedgeup with no more console output. In each of these cases, I used the P0 command on the EC console to force power off and then the P1 command to start the next power up and boot and in each case the next boot was succesful.

The last 3 lines of console output before the wedgeup were always:

               mwifiex_sdio mmc0:0001:1: WLAN FW already running! Skip FW dnld
               mwifiex_sdio mmc0:0001:1: WLAN FW is active
               mwifiex_sdio mmc0:0001:1: driver_version = mwifiex 1.0 (14.66.9.p96) 

and the next line of console output on a succesful boot would normally be:

               systemd-udevd[261]: renamed network interface mlan0 to eth0

The remaining 93 linux boots were succesful and I was able to get a shell prompt and issue a "shutdown -h now" command. Lots of random craziness happened on shutdown if you watch the serial console output. In two cases the shutdown took a long time. In one of those cases I lost patience and forced power off with P0 on the EC console. In the other case I was distracted (and hence more patient) and it managed to shut itself off after a couple of minutes.

Changed 16 months ago by dsd

  • summary changed from xo-4 page faults on boot. mwifiex? to xo-4 page faults and silent hangs on boot. mwifiex?

Changed 16 months ago by chia-hsiu

os19 duplicated, but not much information.

Changed 16 months ago by chia-hsiu

Changed 15 months ago by shep

Hmmm... very suspicious code in mwifiex_sta_init_cmd where it allocates

	struct mwifiex_ds_11n_tx_cfg tx_cfg;

on the stack and then later

	tx_cfg.tx_htcap = MWIFIEX_FW_DEF_HTTXCFG;
	ret = mwifiex_send_cmd_async(priv, HostCmd_CMD_11N_CFG,
				     HostCmd_ACT_GEN_SET, 0, &tx_cfg);

so the pointer to struct mwifiex_ds_11n_tx_cfg on the stack gets copied into the command and then when the command response comes back, mwifiex_process_sta_cmdresp (in a different kernel thread) calls

	case HostCmd_CMD_11N_CFG:
		ret = mwifiex_ret_11n_cfg(resp, data_buf);
		break;
int mwifiex_ret_11n_cfg(struct host_cmd_ds_command *resp,
			struct mwifiex_ds_11n_tx_cfg *tx_cfg)
{
	struct host_cmd_ds_11n_cfg *htcfg = &resp->params.htcfg;

	if (tx_cfg) {
		tx_cfg->tx_htcap = le16_to_cpu(htcfg->ht_tx_cap);
		tx_cfg->tx_htinfo = le16_to_cpu(htcfg->ht_tx_info);
	}
	return 0;
}

I think this might be the stack corruption bug I've been looking for. Now to try and verify this, and look around to see if there are other similar bugs nearby. Oh, and of course, fix it.

Changed 15 months ago by shep

There appear to be 3 other identical sorts of problems.

int mwifiex_sta_init_cmd(struct mwifiex_private *priv, u8 first_sta)
{
	int ret;
	u16 enable = true;
	struct mwifiex_ds_11n_amsdu_aggr_ctrl amsdu_aggr_ctrl;
	struct mwifiex_ds_auto_ds auto_ds;
	enum state_11d_t state_11d;
	struct mwifiex_ds_11n_tx_cfg tx_cfg;

Pointers to amsdu_aggr_ctrl, auto_ds, state_11d, and tx_cfg are all taken and stored as the data_buf in a command sent to the firmware, and in mwifiex_process_sta_cmdresp (which runs in a different thread) the data buf is passed to a routine which then writes through that pointer.

(A pointer is taken of enable and that pointer gets copied into a data_buf of a command, but I don't see a corresponding write through that pointer in mwifiex_process_sta_cmdresp. This wouldn't appear to be a fifth stack corrupting bug, but it may still be a bug if the command can be queued and sent later after this memory on the stack is being reused.)

So there appear to be at least four bugs here, any of which could be causing the crashes we've been seeing.

Changed 15 months ago by shep

  • next_action changed from reproduce to add to build

Changed 15 months ago by dsd

  • next_action changed from add to build to test in build

Test in 13.1.0 build 24 or newer.

Changed 14 months ago by greenfeld

  • status changed from new to closed
  • next_action changed from test in build to no action
  • resolution set to fixed

I have not seen any boot crashes like this on XO-4 in 13.1.0 os24-29.

Note: See TracTickets for help on using tickets.